C***********************************************************************
C                         UNIT ERFLFPin                                *
C               Previous modification: November 25, 1992               *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
      SUBROUTINE INPUTRAMAN(BTR,NR,NDR,FR)
C***********************************************************************
      IMPLICIT     NONE
      INTEGER*4    NR, NDR, NIN /14/, J
      REAL*8       BTR, FR(15)

      OPEN (NIN, FILE = './Input/RAMAN.in',STATUS = 'OLD')
         READ (NIN,*)
         READ (NIN,*) BTR, NR, NDR
         READ (NIN,*)
         READ (NIN,*) (FR(J), J=1, NDR)         !  Raman emission band
      CLOSE (NIN)

      RETURN
      END

C***********************************************************************
      SUBROUTINE INPUTFLUOR(ETC,KLC,LAC,SIGLC, ETY,KLY,LAY,SIGLY)
C***********************************************************************
      IMPLICIT     NONE
      INTEGER*4    NIN /15/
      REAL*8       ETC,KLC,LAC,SIGLC, ETY,KLY,LAY,SIGLY

      OPEN (NIN, FILE = './Input/FLUOR.in',STATUS = 'OLD')
         READ (NIN,*)      !  Chlorophyll fluorescence parameters:
         READ (NIN,*) ETC, KLC, LAC, SIGLC
         READ (NIN,*)      !  Yellow substance fluorescence parameters:
         READ (NIN,*) ETY, KLY, LAY, SIGLY
      CLOSE (NIN)

      RETURN
      END

C***********************************************************************
      SUBROUTINE INPUTLFP(NLFP, NU,LF,Awo,Aco,LO)
C***********************************************************************
      IMPLICIT     NONE
      INTEGER*4    NLFP,NIN /16/,J,K
      REAL*8       NU(NLFP),LF(NLFP),Awo(NLFP),Aco(NLFP),LO(NLFP)

      OPEN (NIN, FILE = './Input/LFP.in',STATUS = 'OLD')
         READ (NIN,'(5(/))')
         DO J = 1, NLFP
            K = J
            READ (NIN,*) NU(K),LF(K),Awo(K),Aco(K),LO(K)	 
         ENDDO
      CLOSE (NIN)

      RETURN
      END

C***********************************************************************
      SUBROUTINE INPUTZ(NZ,Z)
C-----------------------------------------------------------------------
C     Reads number and a set of depths
C***********************************************************************
      IMPLICIT     NONE
      INTEGER*4    NZ,M,NIN /17/
      REAL*8       Z(31)

      OPEN (NIN, FILE = './Input/Z_NZ.in', STATUS = 'OLD')
         READ (NIN,*)
         READ (NIN,*) NZ,(Z(M), M=1, NZ)
      CLOSE (NIN)

      RETURN
      END

C***********************************************************************
      SUBROUTINE INPUTNLL(NNL,NLL)
C-----------------------------------------------------------------------
C     Reads number and a set of wavelengths for output
C***********************************************************************
      IMPLICIT     NONE
      INTEGER*4    NNL,NLL(10),M,NIN /18/

      OPEN (NIN, FILE = './Input/NLL.in', STATUS = 'OLD')
         READ (NIN,*)
         READ (NIN,*) NNL,(NLL(M), M=1, NNL)
      CLOSE (NIN)

      RETURN
      END

C***********************************************************************
      SUBROUTINE INPUTNRR(NNR,NRR)
C-----------------------------------------------------------------------
C     Reads number and a set of narrow wavenumbers for output
C***********************************************************************
      IMPLICIT     NONE
      INTEGER*4    NNR,NRR(10),M,NIN /19/

      OPEN (NIN, FILE = './Input/NRR.in', STATUS = 'OLD')
         READ (NIN,*)
         READ (NIN,*) NNR,(NRR(M), M=1, NNR)
      CLOSE (NIN)

      RETURN
      END

C***********************************************************************
      SUBROUTINE CHECKTEST(TEST, ETC,ETY,BTR,NR,NDR,FR,LO)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    TEST,NR,NDR,K
      REAL*8       ETC,ETY,BTR,FR(15),LO(165)

      IF (TEST.EQ.1) THEN        ! If  TEST = 1 then replace
         DO K = 1, 165           ! input data by the uniform external
            LO(K) = 100.         ! irradiance equal to 100 units.
         ENDDO
         ETC = 0.                ! No chlorophyll fluorescence
         ETY = 0.                ! No "yellow substance" fluorescence
         BTR = 0.0004            ! 
         NR = 27                 ! Wavenumber shift of Raman scattering
         NDR = 1                 ! Width of Raman array
         FR(1) = 1.              ! Delta-distribution of Raman array
      ENDIF

      RETURN
      END
C***********************************************************************
